org.apache.flume.source.avroLegacy

## Class AvroLegacySource

- java.lang.Object
- - org.apache.flume.source.AbstractSource
  - - org.apache.flume.source.avroLegacy.AvroLegacySource

- All Implemented Interfaces:
    com.cloudera.flume.handlers.avro.FlumeOGEventAvroServer, Configurable, EventDrivenSource, LifecycleAware, NamedComponent, Source

      public class AvroLegacySource
      extends AbstractSource
      implements EventDrivenSource, Configurable, com.cloudera.flume.handlers.avro.FlumeOGEventAvroServer

  A `Source` implementation that receives Avro events from Avro sink of Flume OG

  Configuration options

  Parameter | Description | Unit / Type | Default
  --- | --- | --- | ---
  `host` | The hostname or IP to which the source will bind. | Hostname or IP / String | none (required)
  `port` | The port to which the source will bind and listen for events. | TCP port / int | none (required)

  Metrics

  TODO

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.cloudera.flume.handlers.avro.FlumeOGEventAvroServer

      `com.cloudera.flume.handlers.avro.FlumeOGEventAvroServer.Callback`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.cloudera.flume.handlers.avro.FlumeOGEventAvroServer` | `avroClient`
    `static String` | `HOST`
    `static String` | `NANOS`
    `static String` | `OG_EVENT`
    `static String` | `PRIORITY`
    `static String` | `TIMESTAMP`

    - ### Fields inherited from interface com.cloudera.flume.handlers.avro.FlumeOGEventAvroServer

      `PROTOCOL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroLegacySource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Void` | `append(com.cloudera.flume.handlers.avro.AvroFlumeOGEvent evt)`
    `void` | `configure(Context context)` Request the implementing class to (re)configure itself.
    `void` | `start()` Starts a service or component.
    `void` | `stop()` Stops a service or component.

    - ### Methods inherited from class org.apache.flume.source.AbstractSource

      `getChannelProcessor, getLifecycleState, getName, setChannelProcessor, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.flume.Source

      `getChannelProcessor, setChannelProcessor`

    - ### Methods inherited from interface org.apache.flume.lifecycle.LifecycleAware

      `getLifecycleState`

    - ### Methods inherited from interface org.apache.flume.NamedComponent

      `getName, setName`

- - ### Field Detail

    - #### HOST

          public static final String HOST

      See Also:
        Constant Field Values

    - #### TIMESTAMP

          public static final String TIMESTAMP

      See Also:
        Constant Field Values

    - #### PRIORITY

          public static final String PRIORITY

      See Also:
        Constant Field Values

    - #### NANOS

          public static final String NANOS

      See Also:
        Constant Field Values

    - #### OG_EVENT

          public static final String OG_EVENT

      See Also:
        Constant Field Values

    - #### avroClient

          protected com.cloudera.flume.handlers.avro.FlumeOGEventAvroServer avroClient

  - ### Constructor Detail

    - #### AvroLegacySource

          public AvroLegacySource()

  - ### Method Detail

    - #### start

          public void start()

      Description copied from interface: `LifecycleAware`

      Starts a service or component.

      Implementations should determine the result of any start logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `start` in interface `LifecycleAware`
      Overrides:
        `start` in class `AbstractSource`

    - #### stop

          public void stop()

      Description copied from interface: `LifecycleAware`

      Stops a service or component.

      Implementations should determine the result of any stop logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `stop` in interface `LifecycleAware`
      Overrides:
        `stop` in class `AbstractSource`

    - #### append

          public Void append(com.cloudera.flume.handlers.avro.AvroFlumeOGEvent evt)
                      throws org.apache.avro.AvroRemoteException

      Specified by:
        `append` in interface `com.cloudera.flume.handlers.avro.FlumeOGEventAvroServer`
      Throws:
        `org.apache.avro.AvroRemoteException`

    - #### configure

          public void configure(Context context)

      Description copied from interface: `Configurable`

      Request the implementing class to (re)configure itself.

      When configuration parameters are changed, they must be reflected by the component asap.

      There are no thread safety guarantees on when configure might be called.

      Specified by:
        `configure` in interface `Configurable`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.